Package com.pixelmed.dicom

# Class ContentItemFactory.TextContentItem

java.lang.Object
com.pixelmed.dicom.ContentItem
com.pixelmed.dicom.ContentItemWithValue
com.pixelmed.dicom.ContentItemFactory.StringContentItem
com.pixelmed.dicom.ContentItemFactory.TextContentItem

All Implemented Interfaces:
  `TreeNode`

Enclosing class:
  ContentItemFactory

public class ContentItemFactory.TextContentItem extends ContentItemFactory.StringContentItem

## Field Summary

### Fields inherited from class com.pixelmed.dicom.ContentItemFactory.StringContentItem

`stringValue`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`observationDateTime, observationUID, relationshipType`

## Constructor Summary

Constructors
Constructor
Description
`TextContentItem(ContentItem parent, AttributeList list)`
`TextContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String textValue)`
`TextContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String textValue, String observationDateTime, String observationUID)`

## Method Summary

Modifier and Type
Method
Description
`void`
`setConceptValue(String textValue)`

### Methods inherited from class com.pixelmed.dicom.ContentItemFactory.StringContentItem

`getConceptValue, setConceptValue, toString`

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getObservationDateTime, getObservationUID, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TextContentItem

public TextContentItem(ContentItem parent, AttributeList list)

Parameters:
  `parent` - parent content item to add to
  `list` - the list of attributes for this content item

### TextContentItem

public TextContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String textValue, String observationDateTime, String observationUID) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `textValue` - text value
  `observationDateTime` - Observation DateTime (or null or empty if none)
  `observationUID` - Observation UID (or null or empty if none)
Throws:
  `DicomException` - if error in DICOM encoding

### TextContentItem

public TextContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, String textValue) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `textValue` - text value
Throws:
  `DicomException` - if error in DICOM encoding

## Method Details

### setConceptValue

public void setConceptValue(String textValue) throws DicomException

Parameters:
  `textValue` - if null, removes the value
Throws:
  `DicomException` - if error in DICOM encoding